! "@(#) $Id: FEROSQQcheck.prg,v 1.1 2003/01/25 01:24:36 jpritcha Exp $"
!+++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
!.COPYRIGHT   (C) 2002 European Southern Observatory
!.IDENT       FEROSCTcomptime.prg
!.AUTHOR      John Pritchard, la Silla/ESO
!.KEYWORDS    Spectroscopy, Echelle, FEROS
!.PURPOSE     Command @@ FEROSCTcomptime <frame>
!.VERSION     1.0    Creation   2002-08-28
!
!-------------------------------------------------------
!
DEFINE/PARAMETER P1 ?        CHAR "Image : "
DEFINE/PARAMETER P2 N        CHAR "Plots (y/N) : "
DEFINE/PARAMETER P3 N        CHAR "Create Graphic Windows (y/N) : "
!
DEFINE/LOCAL IEXPTYPE/I/1/1 0
!
DEFINE/LOCAL IMG/C/1/80      "{P1}"
DEFINE/LOCAL EXPTYPE/C/1/30  " "
!
DEFINE/LOCAL DOPLOTS/C/1/1  " "
DOPLOTS = M$LOWER("{P2}")
!
DEFINE/LOCAL CREAGRAP/C/1/1  " "
CREAGRAP = M$LOWER("{P3}")
IF "{CREAGRAP}" .EQ. "y" then
  crea/grap 1 500,350,0600,850
  crea/grap 2 500,350,1100,850
  crea/grap 3 500,350,0600,450
  crea/grap 4 500,350,1100,450
  crea/grap 5 500,350,0600,050
  crea/grap 6 500,350,1100,050
ENDIF
!
EXPTYPE = M$VALUE({IMG}.mt,EXPTYPE)
IF "{EXPTYPE}" .EQ. "CALIBRATION" IEXPTYPE = 1
IF "{EXPTYPE}" .EQ. "FLATFIELD"   IEXPTYPE = 2
IF IEXPTYPE .EQ. 0 THEN
  WRITE/OUT "ERROR!!! Exposure type {EXPTYPE} NOT supported"
  GOTO AORR
ELSE
! Calibration, FEROS.2002-11-25T22:55:39.000.fits & FEROS.2002-11-25T23:23:05.000.fits
!
!! ThAr Lines...
    if "{doplots}" .eq. "y" assi/grap G,1
    @@ FEROSCTcomptime {P1}  292,2105 18,12 2.019430E+05,4.859364E+06 10.0 {P2}
    if "{doplots}" .eq. "y" assi/grap G,2
    @@ FEROSCTcomptime {P1}  857,2125  ?    6.543625E+05,9.759709E+06   ?  {P2}
    if "{doplots}" .eq. "y" assi/grap G,3
    @@ FEROSCTcomptime {P1} 1573,2107  ?    4.756005E+05,1.176970E+06   ?  {P2}
    if "{doplots}" .eq. "y" assi/grap G,4
    @@ FEROSCTcomptime {P1} 1882,2120  ?    6.691850E+04,9.188500E+03   ?  {P2}
!! Neon Lines...
    if "{doplots}" .eq. "y" assi/grap G,5
    @@ FEROSCTcomptime {P1}  251,1941 17,12 1.286885E+06,6.008424E+06 10.0 {P2}
    if "{doplots}" .eq. "y" assi/grap G,6
    @@ FEROSCTcomptime {P1}  720,2157  ?    3.200155E+05,8.810182E+06   ?  {P2}
  WRITE/OUT "================================================================================"
ENDIF
