! %W% (ESO-IPG) %G% %U%
! "@(#) $Id: FFsnr_cat.prg,v 1.5 2005/08/08 17:44:54 jpritcha Exp $"
!==========================================================================
!
!    fextRatios_cat.prg
!    J.Pritchard, ESO-LS, 2004-06-22
!
!    Compute and display image ratios from a catalogue
!
!    Syntax:  @@ FFsnr_cat <Catalogue> [OrderRange (1,39)] [WindowSize (10.)]
!                      [Verbose (no)] [Plots (N)] [PSfiles (N)]
!                      [l/p=Landscape/Portrait (l)] [filePrefix (f)]
!                      [Final/Working Graph Window IDs (5,9)]
!                          
!
!###########################################################################

def/par P1 FF.cat                         CHAR "Catalogue filename : "
define/para p2 1,39 C "Order range : "
define/para p3 10. N "Window size : "
define/para p4 no C "Display verbose output [no/yes] : "
define/par p5 N     C "Plot : "
define/par p6 N     C "Make PS files : "
!define/par p7 l     C "Landscape/Portrait (l/p) : "
define/par p7 f     C "filePrefix (f) : "
define/par p8 5,9   C "Final/Working Graph Window IDs (5,9) : "

DEFINE/LOCAL CATAL/I/1/1   0
define/local infile/c/1/60 " " all

set/format
set/format i4
set/format

next:
store/frame infile {p1} 1 done

  write/out "FFsnr for {infile}..."
  @@ FFsnr {infile(5:8)} {p2} {p3} {p4} {p5} {p6} {p7} {p8}

goto next

done:

exit:
