! "@(#) $Id: autoMkGandS.prg,v 1.8 2005/11/21 21:25:26 jpritcha Exp $"
! @@ autoMkGandS
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure  autoMkGandS
! 2003-03-19: J.D.Pritchard
!
! PURPOSE
! Automatically create guess<NNNN>.tag.gz and session<NNNN>_<MMMM>.tar.gz archives
!					
! USAGE
!
! @@ autoMkGandS
!
! 
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
define/par p1 N           CHAR "Use VLT date-time identifier (y/N) : "
define/par p2 N           CHAR "Force gzip (i.e. overwrite already existing tar.gzs (y/N) : "
define/par p3 FF.cat      CHAR "FF image catalogue (FF.cat) : "
define/par p4 ThAr.cat    CHAR "WLC image catalogue (ThArNe.cat) : "
define/par p5 Bias.cat    CHAR "WLC image catalogue (Bias.cat) : "
!
DEFINE/LOCAL fThAr/C/1/11    " "
DEFINE/LOCAL fFF/C/1/11      " "
DEFINE/LOCAL fBIAS/C/1/11    " "
DEFINE/LOCAL CATAL/I/1/1     0
DEFINE/LOCAL i/i/1/1         0
DEFINE/LOCAL j/i/1/1         0
DEFINE/LOCAL l/i/1/1         0

store/frame fThAr    {p4} 1
catal = 0
store/frame fFF      {p3} 1
catal = 0
store/frame fBIAS    {p5} 1

i = m$index("{p3}",".") - 1
j = m$index("{p4}",".") - 1
l = m$index("{p5}",".") - 1

write/out "Making Guess archive with: @@ makeguess {fThAr(5:8)} {p4(1:{J})}"
@@ makeguess   {fThAr(5:8)} {p1} {p2} {p4(1:{J})}
write/out "Making Session archive with: @@ makesession {fThAr(5:8)} {fFF(5:8)} {p3(1:{i})} {p4(1:{j})}"
@@ makesession {fThAr(5:8)} {fFF(5:8)} {p1} {p2} {p3(1:{i})} {p4(1:{j})} {p5}
