! "@(#) $Id: autoreduce_cat.prg,v 1.18 2005/12/12 18:48:00 jpritcha Exp $"
! @@ autoreduce_cat.prg	  
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure  autoreduce_cat.prg	  
! O.Stahl, A.Kaufer, S.Tubbesing	990125
!
! PURPOSE
! reduce catalogue of object-frames
!
!				
! 	exposuretype=SCIENCE 	:
!                                          pre-reduction 
!					   background subtraction
!					   order straightening
!					   order extraction		
!					   flatfielding/blaze correction
!					   rebinning: wavelength calibration
!						      barycentric correction
!					   order merging
!					
! USAGE
!
! @@ autoreduce_cat catalogue-name.cat
!
! 
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
def/par P1 Objects.cat   CHAR "Objects catalogue filename : "
def/par P2 1             CHAR "        Object Fibre (1/2) : "
!
define/local host/c/1/100   " "
define/local infile/c/1/60 " " all
define/local i/i/1/1       0
define/local ISSCIENCE/i/1/1 0
define/local ISSTD/i/1/1 0
define/local num/c/1/4     " " all
define/local order/i/1/1   0
define/local ra/d/1/1      0.0
define/local lstart/r/1/1  0.0
define/local lend/r/1/1    0.0
define/local rebstep/r/1/2 0.0
define/local etime/D/1/1   0
DEFINE/LOCAL CATAL/I/1/1   0
!
DEFINE/LOCAL EXPTYPE/C/1/20 " "
define/local FIBSEL/C/1/1 {p2}
define/local symMkHTML/c/1/1 " "
define/local symPRF/c/1/1     " "
!
DEFINE/LOCAL TRUEid/C/1/72  " "
DEFINE/LOCAL ProgId/C/1/10  " "
DEFINE/LOCAL arp/C/1/140    " "
define/local FEROSROModeStr/c/1/30    " " ? +lower_levels
!
define/local DARK/C/1/1 D ? +lower_levels

i = m$existk("ARCFILE")
if i .eq. 0 DEFINE/LOCAL ARCFILE/C/1/100 " " ? +lower_levels

!
! for SCIENCE frames do standard reduction:
!

next:
store/frame infile {p1} 1 done

  write/out "================================================================================"
  write/out "Beginning reduction of {infile}"
  write/out

  @@ check {infile}
  @@ autoreduce {infile(1:4)} {infile(5:8)}

goto next

done:

exit:
