! %W% (ESO-IPG) %G% %U%
! "@(#) $Id: ferosFFMaxADU_cat.prg,v 1.1 2005/08/18 23:54:32 jpritcha Exp $"
!==========================================================================
!
!    fextRatios_cat.prg
!    J.Pritchard, ESO-LS, 2004-06-22
!
!    Compute and display image ratios from a catalogue
!
!    Syntax:  @@ ferosFFMaxAdu_cat <Catalogue> [ReqADU]
!
!###########################################################################

define/para P1 FF.cat CHAR "Catalogue filename : "
define/para P2 0.     N    "Required ADU [0.] : "
define/par p3 @2048,@2248 CHAR "Window definition [@2048,@2248] : "
define/par p4 N     C "Keep average Images (y/N) : "
define/par p5 N     C "Keep ALL DRS products (y/N) : "
define/par p6 N     C "Plot : "
define/par p7 N     C "Make PS files : "
define/par p8 5,9   C "Final/Working Graph Window IDs (5,9) : "

DEFINE/LOCAL CATAL/I/1/1    0
define/local infile/c/1/60  " " all
define/local reqETime/r/1/1 0.
define/local reqADU/r/1/1   {P2}

set/format
set/format i4
set/format

next:
store/frame infile {p1} 1 done

  write/out "Computing Max ADU in FF for {infile}..."
  @@ ferosFFMaxADU {infile(1:4)} {infile(5:8)} {p3} {p4} {p5} {p6} {p7} {p8}

goto next
done:

if reqADU .NE. 0. then
  catal = 0
next1:
  store/frame infile {p1} 1 done1

    @@ ferosCompReqExpTime {infile} {reqADU}

    reqETime = reqADU / {f{infile(5:8)}av,GlobalMaxADU(1)} * {{infile},ESO.DET.WIN1.DIT1}
    write/out "{infile}: MAX = {f{infile(5:8)}av,GlobalMaxADU(1)}: Required E-Time = {reqETime}"

  goto next1
done1:
endif

exit:
