! "@(#) $Id: ferosMFLATqc0.prg,v 1.5 2006/01/23 16:26:35 jpritcha Exp $"
define/parameter P1 Null   CHAR "DRS Init session (Null) : "
define/parameter P2 N      C    "Load feros context (y/N) : "

define/local i/i/1/1     0
define/local iRIex/i/1/1 0
define/local APAsf/i/1/2 2001,2100
define/local xbin/i/1/1     1
define/local ybin/i/1/1     1

if "{p2}" .eq. "Y" set/context feros

if "{P1}" .ne. "Null" then
  i = m$exist("{p1}_INIT.tbl")
  if i .ne. 1 then
    indisk/fits {p1}_INIT.mt  {p1}_INIT.tbl
    indisk/fits {p1}_GORDER.mt  {p1}_GORDER.tbl
    indisk/fits {p1}_LINE1.mt  {p1}_LINE1.tbl
    indisk/fits {p1}_LINE2.mt  {p1}_LINE2.tbl
    indisk/fits {p1}_ORDER.mt  {p1}_ORDER.tbl
    indisk/fits {p1}_TEMPLATE.mt  {p1}_TEMPLATE.bdf
    indisk/fits {p1}_WLC1.mt  {p1}_WLC1.tbl
    indisk/fits {p1}_WLC2.mt  {p1}_WLC2.tbl
    indisk/fits ThAr50000.mt ThAr50000.tbl
    indisk/fits BLAZE.mt BLAZE.tbl
  endif
  init/feros {p1}
endif

iRIex = m$exist("{RAW_IMG}.bdf")
if iRIex .ne. 1 then
  indisk/fits {RAW_IMG}.mt {RAW_IMG}.bdf
  indisk/fits {RAW_IMG}ext1.mt {RAW_IMG}ext1.bdf
  indisk/fits {RAW_IMG}ext2.mt {RAW_IMG}ext2.bdf
endif

i = m$existd("{RAW_IMG}.mt","ESO.DET.WIN1.BINX") * m$existd("{RAW_IMG}.mt","ESO.DET.WIN1.BINY")
if i .eq. 1 then
  xbin = {{RAW_IMG}.mt,ESO.DET.WIN1.BINX}
  ybin = {{RAW_IMG}.mt,ESO.DET.WIN1.BINY}
  APAsf(1) = APAsf(1) / xbin
  APAsf(2) = APAsf(2) / xbin
endif

i = m$exist("f{RAW_IMG}1.bdf") + m$exist("f{RAW_IMG}2.bdf")
if i .ne. 2 then
  REBIN/FERO {RAW_IMG}ext {LINE_POS_TBL} rebinned I {REBIN_STEP},0.0 ? OS
  MERGE/FERO rebinned f{RAW_IMG}
endif

!! S/N in MASTER flat, doesn't work well at all...
!@@ FFsnr {RAW_IMG(3:6)} ? ? ? Y Y fFF
!copy/dd f{RAW_IMG}1 snr/r/1/39 {RAW_IMG} snr1/1/39
!copy/dd f{RAW_IMG}2 snr/r/1/39 {RAW_IMG} snr2/1/39

!! Peak Flux at center of each order...
average/column &avf1 = {RAW_IMG}ext1 @{APAsf(1)},@{APAsf(2)}
compute/image &avf1 = &avf1/{{RAW_IMG},O_TIME(7)}
copy/id &avf1 {RAW_IMG} AvPeakADU1/d/1/39
average/column &avf2 = {RAW_IMG}ext2 @{APAsf(1)},@{APAsf(2)}
compute/image &avf2 = &avf2/{{RAW_IMG},O_TIME(7)}
copy/id &avf2 {RAW_IMG} AvPeakADU2/d/1/39

if iRIex .ne. 1 outdisk/fits {RAW_IMG}.bdf {RAW_IMG}.mt
