define/parameter p1 ?    char "frame : "
define/parameter p2 1,2  char "fibres (1,2) : "
define/parameter p3 1,20 char "orders (1,39) : "
define/parameter p4 5    num  "y scaling factor (5) : "
define/parameter p5 @1001,@1:@3000,@39 char "stats region (@1001,@1:@3000,@39) : "

define/local i/i/1/1      0
define/local j/i/1/1      0
define/local fibstp/i/1/2 {p2}
define/local ordsf/i/1/2  {p3}

define/local maxADU/r/1/1   0.
define/local yaxr/r/1/1     0.
define/local yaxs/r/1/1     0.
define/local yscafac/r/1/1 10
define/local yaxsf/r/1/2    0.,0.

set/grap default
set/grap pmode=1 font=1

set/format i1

do i = {fibstp(1)} {fibstp(2)}
  stat/imag {p1}{i} [{p5}] ! ? ? ? RNNN
  if outputr(2) .gt. maxADU maxADU = outputr(2)
enddo

yscafac = {p4}
yaxsf(1) = ordsf(1) - 1
yaxsf(2) = ordsf(2) + 1 + ( ordsf(2) - ordsf(1) ) / yscafac
yaxr = maxADU * yscafac
yaxs = maxADU * yscafac / ( yaxsf(2) - yaxsf(1) )


!set/grap yform=None
plot/axes -31.5,+31.5,10,2 {yaxsf(1)},{yaxsf(2)},1 ? "Position [mm]" "Flux [ADU]"

do i = {fibstp(1)} {fibstp(2)}
  j = 4 - 2 * ( i -1 )
  set/grap colour={j}
  do j = {ordsf(1)} {ordsf(2)}
    plrgrap(5) = -1. * ( j  - ordsf(1) + 1 ) * yaxs
    plrgrap(6) = -1. * ( j  - ordsf(1) + 1 ) * yaxs + yaxr
    over/row {p1}{i} @{j}
  enddo
enddo
