! "@(#) $Id: ferosProcessAllCCDTests.prg,v 1.7 2004/02/28 01:06:28 jpritcha Exp $"
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!.IDENTIFICATION: ferosProcessAllCCDTests.prg    
!.PURPOSE:        Procedure to reduce a complete set of CCD standard tests
!.AUTHOR:         J.Pritchard
!.USE:            @@ ferosProcessAllCCDTests p1 p2 p3
!.                where p1 = date of test (format YYMMDD)
!.                      p2 = file number of last image
!.                      p3 = Print output
!.VERSION:      20021022 JDP creation
!      
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
DEFINE/PARAMETER P1 "00000000"            C*8  "Date of test (YYYYMMDD):"
DEFINE/PARAMETER P2 1,26,51,76,101,126    N    "File number of first image:"
DEFINE/PARAMETER P3 "N"                   C*1  "Send to printer (Y/n):"
DEFINE/PARAMETER P4 "Y"                   C*1  "Process on Web server"

DEFINE/LOCAL LIMNUM/I/1/6    {P2}

DEFINE/LOCAL NUMTESTS/I/1/1    0   ? +lower_levels
DEFINE/LOCAL CTAGMODE/C/1/56   " " ? +lower_levels

DEFINE/LOCAL CCDNUM/C/1/2      "60"
DEFINE/LOCAL AGMODE/C/1/7      " "
DEFINE/LOCAL DoWWWUpD/C/1/2    " "

DEFINE/LOCAL I/I/1/1 0
DEFINE/LOCAL J/I/1/1 0
DEFINE/LOCAL K/I/1/1 0

define/local CCDTestRootDir/c/1/200 " "
CCDTESTRootDir = M$SYMBOL("CCDTestRootDir")
IF "{CCDTESTRootDir}" .EQ. "CCDTESTRootDir" CCDTESTRootDir = "/data/CCDTest"

$ mkdir {CCDTestRootDir}/{P1}
change/dir {CCDTestRootDir}/{P1}

DO I = 1 6
  IF I .NE. 1 .AND. LIMNUM({I}) .LT. 0 LIMNUM({I}) = LIMNUM(1) + 25 * I - 49
  LIMNUM({I}) = LIMNUM({I}) + 24
  IF LIMNUM({I}) .NE. 24 @@ ferosProcessCCDTestImages 60 {P1} fero {LIMNUM({I})} 25 {P3}
ENDDO

IF "{P4}" .EQ. "n" .OR. "{P4}" .EQ. "N" DoWWWUpD = "-n"

IF NUMTESTS .GT. 0 THEN
  DO I = 1 {NUMTESTS}
    J = I * 7 - 6
    K = J + 6
    AGMODE = "{CTAGMODE({J}:{K})}"
    change/directory {AGMODE}
    $ ferosCCDTestToWebServer {DoWWWUpD} {CCDNUM} {AGMODE} {P1}
    change/directory ..
  ENDDO
ENDIF
