! @(#)snr.prg	15.1.1.1 (ESO-IPG) 01/12/01 17:34:20
! "@(#) $Id: snr.prg,v 1.7 2005/10/17 12:13:27 jpritcha Exp $"
!
! SNR for a region of a 1-dim frame 
! 
! use via
!
!  SNR <filenumber> <start,end> [fibre=1] [OrderNumber=0] [filenamePrefix=f]
!    with     
!           filenumber  :  4-digit filenumber of input file
!           start,end   :  wavelength intervall to measure S/N
!
define/para  p1 ? I "Enter filenumber : " 
define/para  p2 ? N "Enter start,end wavelength : " 
define/para  p3 1 N "Enter fiber [1/2] : " 
define/para  p4 0 N "Enter Order Number [0 or 1-39] : " 
define/para  p5 f C "FileName prefix [f] :"
!
define/local ordnum/c/1/4 " "
if {p4} .ne. 0 ordnum = "{P4}"
define/local int/d/1/2 {p2}
define/local infile/c/1/40 {p5}{p1}{p3}{ordnum}
define/local snr/r/1/1 0.
define/local npix/i/1/1 0
define/local win/i/1/1 0
!
! extract region
!
extract/ima &x = {infile}[{int(1)}:{int(2)}]
npix = {&x,NPIX(1)} 
win  = m$nint(npix/20.)
if win .gt. 50 then
 win = 50
endif
!filt/gauss &x &y {win}
filt/median &x &y {win}
!
set/gra xa ya
!plo &x
!over &y
!
! mean = 0
!
comp &SNR = &x/&y-1.
plo &SNR
!
! compute sdev and SNR
!
stat/ima &SNR
if outputr(4) .gt. 0. then
  snr = 1/{outputr(4)}
else
  snr = -99.999
endif
!
write/out "-------------------------------------------"
set/format F6.0
write/out "{infile} [{int(1)}:{int(2)}]:  S/N = {snr}"
write/out "-------------------------------------------"
!
dele/temp no
