define/para  p1 ? I "Enter filenumber : " 
define/para  p2 ? N "Enter start,end,step,width wavelength : "
define/para  p3 1 N "Enter fiber [1/2] : " 
define/para  p4 0 N "Enter Order Number [0 or 1-39] : " 
define/para  p5 f C "FileName prefix [f] :"
define/para  p6 no C "Display verbose output [no/yes] : "

set/format
define/local ordnum/c/1/4 " "
if {p4} .ne. 0 ordnum = "{P4}"

define/local int/d/1/6    {P2}
define/local snr/d/1/1    0.
define/local maxsnr/d/1/1 0.

define/local nsteps/i/1/1 0
define/local i/i/1/1      0
define/local imax/i/1/1   0

nsteps = int(2) - int(1) / int(3)
set/midas output={p6}

do i = 1 nsteps
  int(5) = int(1) + i * int(3)
  int(6) = int(5) + int(4)
  @@ snr {p1} {int(5)},{int(6)} {p3} {p4} {p5}
  snr = 0.
  if outputr(4) .gt. 0. snr = 1/{outputr(4)}
!set/midas output=yes
  set/format f7.3
  write/out "S/N in interval [{int(5)},{int(6)}] is {snr}"
  set/format
!set/midas output={p6}
  if snr .gt. maxsnr then
    maxsnr = snr
    imax = i
  endif
enddo

!set/midas output=yes

write/out {imax} {maxsnr}
if imax .ne. 0 then
  int(5) = int(1) + imax * int(3)
  int(6) = int(5) + int(4)
  @@ snr {p1} {int(5)},{int(6)} {p3} {p4} {p5}
  outputr(1) = 1/outputr(4)
  outputr(2) = int(5)
  outputr(3) = int(6)
endif

set/midas output=yes
