#! /usr/bin/perl

## "@(#) $Id: dateStartofNight.pl,v 1.1 2004/01/16 21:12:20 jpritcha Exp $"
## This version of dateStartofNight.pl copied from...
## fprocim CMM module version 0.148.
## @(#) Id: dateStartofNight.pl.APR2003,v 0.148 2004/01/14 21:11:35 vltsccm Exp

my $numarg=$#ARGV;
my $date=shift;
my $seconds=shift;

my $prog=filePart($0);
if ( $numarg < 1 ) {
  die "Usage: $prog <yyyy-mm-dd> <secs>\n";
}


my $da=0;
if ( $seconds < ( (12 * 60 * 60 ) + TZOffset() ) ) { $da=1 };

my $today=theDate($da);

printf("%s\n",$today);

sub theDate {
  use Time::localtime;
  local($d)=@_;
  local($dateda)=timelocal(0,0,12,substr($date,8,2),(substr($date,5,2)-1),substr($date,0,4)) - ( 24 * 60 * 60 * $d );
  return ( sprintf("%04d-%02d-%02d",(localtime($dateda)->year()+1900),(localtime($dateda)->mon()+1),localtime($dateda)->mday()) );
}

sub TZOffset {
  use Time::gmtime;
  use Time::localtime;
  use Time::Local;
  local($gm)=gmtime();
  local($lt)=localtime();
  local($tzoff)=timelocal($gm->sec(),$gm->min(),$gm->hour(),$gm->mday(),$gm->mon(),$gm->year())-timelocal($lt->sec(),$lt->min(),$lt->hour(),$lt->mday(),$lt->mon(),$lt->year());
  return ( sprintf("%06d",$tzoff) );
}

## filePart taken from mkRHCD by A.J.Richards.
sub filePart {
	local($path)=@_;
	local($len)=length($path);

	for($i=$len;$i>0;$i--) {
		if (substr($path,$i,1) eq "/") {
			return(substr($path,$i+1));
		}
	}
	return($path);
}
