!! @@ check.prg	  
! "@(#) $Id: check.prg,v 1.6 2005/11/26 08:33:41 jpritcha Exp $"
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure  check.prg	  
! O.Stahl, S.Tubbesing		  990125
!
! PURPOSE
! Check table for dark and extmode
!
! USAGE
! @@ check filename
!
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
define/local infile/c/1/40 {p1}
define/local object/c/1/40 " " all
define/local len/i/1/1 0
define/local sel/i/1/1 0
define/local i/i/1/1   0
define/local j/i/1/1   0
define/local k/i/1/1   0

define/local extmode/c/1/1 " " 
i = m$existk("dextmode")
if i .eq. 0 define/local dextmode/c/1/1 "S"

i = m$exist("Objects.tbl")
if i .eq. 1 then

  i = m$existd("{infile}","CIDENT")
  j = m$existd("{infile}","OBJECT")
  k = m$existd("{infile}","IDENT")
  if i .eq. 1 then
    write/key object "{{infile},CIDENT}"
  elseif j .eq. 1 then
    write/key object "{{infile},OBJECT}"
  elseif k .eq. 1 then
    write/key object "{{infile},IDENT}"
  endif

  len = m$len(object)
  sele/tab Objects :name .eq. "{object(1:{len})}*"
  cop/tab Objects &a

  sel = {&a.tbl,tblcontr(4)}

  if {sel} .GT. 0 THEN

    dark = "{&a.tbl,:dark,@1}" 
    extmode = "{&a.tbl,:extmode,@1}" 

  else

    write/out "check.prg:: WARNING: Object not found, using defaults ***"
    dark = "N"
    extmode = "{dextmode}"

  endif

  write/out "Object:" {object} ", Dark:" {dark} ", ExtMode:" {extmode}

  SET/FEROS EXT_MODE={extmode}

else
  write/out "check.prg:: INFO: Object.tbl does not exist"
  dark = "N"
  extmode = "{dextmode}"
endif
