! @(#)ferosDoQCPlots.prg	15.1.1.1 (ESO-IPG) 01/12/01 17:34:19
! "@(#) $Id: ferosDoQCPlots.prg,v 1.1 2005/09/27 16:04:38 jpritcha Exp $"
! @@ ferosDoQCPlots.prg	  
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure  ferosDoQCPlots.prg	  
! J.Pritchard	2005-09-22
!
! PURPOSE
! display incoming new frame and start automatic reduction
!
! USAGE
!
! @@ ferosDoQCPlots [FF.cat] [WLC.cat] [guess-session]
!
! with : FF.cat 	:  Catalogue file with FFs, default = FF.cat
!        WLC.cat 	:  Catalogue file with WLCs, default = ThAr.cat
!        [guess-session]:  Guess-Session, default = ThAr0196
!
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
define/par p1 FF.cat     CHAR "FF catalogue (FF.cat) : "
define/par p2 ThAr.cat   CHAR "WLC catalogue (ThAr.cat) : "
define/par p3 ThAr0196   CHAR "Default Guess-Session for initialisation (ThAr0196) : "

define/local FFcat/c/1/10     "{P1}"
define/local WLCcat/c/1/10    "{P2}"
define/local gsess/c/1/200    "{P3}"
define/local infile/c/1/60 " " all

define/local catal/i/1/1   0
define/local i/i/1/1       0

define/local symQCPlots/c/1/1 " "
define/local symMkHTML/c/1/1  " "

    symQCPlots = m$symbol("FEROSQCPlots")
    if "{symQCPlots}" .EQ. "Y" then
! S/N in FFs...
      assi/grap G,5
      @@ FFsnr_cat FF.cat ? ? ? Y Y
! Plots...
      assi/grap G,6
      @@ fextRatios_cat FF.cat ? 25,63 1 Y p
      assi/grap G,7
      @@ fextRatios_cat FF.cat ? 25,63 2 Y p
! Plots of template...
      assi/grap G,8
      @@ ferosPlotTemplateT {RAW_IMG}_{TEMPLT_IMG} ? Y p
! Focus
      assi/grap G,9
      @@ focus_cat ThAr.cat Y Y
      i = m$exist("ThArNe.cat")
      if i .eq. 1 @@ focus_cat ThArNe.cat Y Y
! Make html pages...
      symMkHTML = m$symbol("FEROSmkHTML")
      if "{symMkHTML}" .EQ. "Y" then
        catal = 0
	store/frame infile {FFcat} 1
        $ ferosMkHTML.pl -a mklink -t DRSINIT -F {FFcat} -W {WLCcat} -G {gsess} {infile}
      endif
    endif
