! "@(#) $Id: getFFsolArchive.prg,v 1.1 2004/02/02 14:32:13 jpritcha Exp $"
! @@ getFFsolArchive.prg	  
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! MIDAS procedure  getFFsolArchive.prg
! P. Francois	990614
!
! PURPOSE
! Restores a complete session from a tar 
! Can be used directly with INIT/FEROS 
!
! USAGE
!
! @@ getFFsolArchive <LLLL> <NNNN> <MMMM>
!
! with : <LLLL>  :  Number of the mean FFsol to be saved
!        <NNNN>  :  Number of the mean ThAr to be saved
!        <MMMM>  :  Number of the mean Flat Field of the session
!
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
define/par p1 ?           N "Enter number of associated mean FFsol : "
define/par p2 ?           N "Enter number of associated mean ThAr : "
define/par p3 ?           N "Enter number of associated mean flat FF  : " 

WRITE/OUT 
WRITE/OUT " Extracting tar file"
WRITE/OUT 
$ eval "gzip -dc FFsolArchive{p1}_{p2}_{p3}.tar.gz | tar xvf -"

WRITE/OUT
WRITE/OUT " Converting FITS files to bdf files" 
WRITE/OUT 
indisk/fits FFsol{p1}_INIT.mt     FFsol{p1}_INIT.tbl
indisk/fits FFsol{p1}_GORDER.mt   FFsol{p1}_GORDER.tbl
indisk/fits FFsol{p1}_LINE1.mt    FFsol{p1}_LINE1.tbl
indisk/fits FFsol{p1}_LINE2.mt    FFsol{p1}_LINE2.tbl
indisk/fits FFsol{p1}_ORDER.mt    FFsol{p1}_ORDER.tbl
indisk/fits FFsol{p1}_TEMPLATE.mt FFsol{p1}_TEMPLATE.bdf
indisk/fits FFsol{p1}_WLC1.mt     FFsol{p1}_WLC1.tbl
indisk/fits FFsol{p1}_WLC2.mt     FFsol{p1}_WLC2.tbl
indisk/fits FFsol{p1}.mt          FFsol{p1}.bdf
indisk/fits ThAr{p2}.mt           ThAr{p2}.bdf
indisk/fits ThAr50000.mt          ThAr50000.tbl
indisk/fits BLAZE.mt              BLAZE.tbl
indisk/fits FF{p3}*.mt 
restore/name toto0001.bdf
restore/name toto0002.bdf
restore/name toto0003.bdf
indisk/fits cop_coeffs1.mt cop_coeffs1.tbl
indisk/fits cop_coeffs2.mt cop_coeffs2.tbl
$\rm FFsol{p1}_*.mt FFsol{p1}_*.mt
$\rm ThAr{p2}.mt
$\rm FF{p3}*.mt
$\rm ThAr50000.mt BLAZE.mt cop_coeffs1.mt cop_coeffs2.mt
exit:
