DEFINE/PARAMETER P1 ? N "File Number : "
DEFINE/PARAMETER P2 1 N "Fibre : "
DEFINE/PARAMETER P3 0 N "Order Number [0 or 1-39] : "
DEFINE/PARAMETER P4 no C "Display verbose output [no/yes] : "
DEFINE/PARAMETER P5 f  C "FileName prefix [f] :"
DEFINE/PARAMETER P6 n  C "Generate PS files :"

!FILTER   MEAN WAVELENGTH    WIDTH
!UbX          360.507        43.866
!Bb           441.308        71.754
!Vb           551.210        72.814
!Rb           658.499       129.145
!Ib           805.989        92.460

crea/grap 9
define/local snr/r/1/5 0 all
define/local ordsnr/c/1/7 "snr"
set/format i04
if {P3} .ne. 0 ordsnr = "{P3}snr"

set/midas output={p4}
@@ snr {P1} 3606,3613 {P2} {P3} {P5}
if "{P6}" .eq. "y" then
  copy/grap postscript
  $ mv postscript.ps {p5}{P1}{P2}{ordsnr}U.ps
endif
snr(1) = 1/{outputr(4)}

@@ snr {P1} 4403,4423 {P2} {P3} {P5}
if "{P6}" .eq. "y" then
  copy/grap postscript
  $ mv postscript.ps {p5}{P1}{P2}{ordsnr}B.ps
endif
snr(2) = 1/{outputr(4)}

@@ snr {P1} 5502,5522 {P2} {P3} {P5}
if "{P6}" .eq. "y" then
  copy/grap postscript
  $ mv postscript.ps {p5}{P1}{P2}{ordsnr}V.ps
endif
snr(3) = 1/{outputr(4)}

@@ snr {P1} 6577,6595 {P2} {P3} {P5}
if "{P6}" .eq. "y" then
  copy/grap postscript
  $ mv postscript.ps {p5}{P1}{P2}{ordsnr}R.ps
endif
snr(4) = 1/{outputr(4)}

@@ snr {P1} 8054,8070 {P2} {P3} {P5}
if "{P6}" .eq. "y" then
  copy/grap postscript
  $ mv postscript.ps {p5}{P1}{P2}{ordsnr}I.ps
endif
snr(5) = 1/{outputr(4)}

set/midas output=yes
!dele/grap 9

set/format F6.0
write/out "S/N[U] = {snr(1)}, S/N[B] = {snr(2)}, S/N[V] = {snr(3)}, S/N[R] = {snr(4)}, S/N[I] = {snr(5)}"
